Subject: [bug#71111] [PATCH 0/1] services: home: Use pairs instead of lists.

From: Andrew Tropin <[email-masked]>
Date: Thu, 23 May 2024 09:43:47 +0400

On 2024-05-23 11:38, Zheng Junjie wrote:

> Andrew Tropin via Guix-patches via <[email-masked]> writes:
>
>> After rewriting from car/cdr to match-lambda in v2 of this patch:
>> https://yhetil.org/guix-patches/[email-masked]/
>>
>> the format changed from pairs to lists, I didn't noticed this nuance
>> during review because the documentation still says that service should
>> be configured and extended with pairs.  Also, pairs are more
>> apropriate data type here.  And this match-lambda rewrite will break
>> downstream RDE user's setups after migrating to upstreamed version of
>> service.
>>
>> That's why I propose to go back to pairs.
>
> Maybe we can support pairs and list of length two at same time?

Thank you for the idea, however I think ambiguity is a bad practice,
from my early experience with guix it's more confusing rather than
helpful.  I still don't know why profile-service-type accepts list of
lists rather than alist (list of pairs).

>
>>
>> Andrew Tropin (1):
>>   services: home: Use pairs instead of lists.
>>
>>  doc/guix.texi         | 4 ++--
>>  gnu/services/guix.scm | 2 +-
>>  gnu/tests/guix.scm    | 2 +-
>>  3 files changed, 4 insertions(+), 4 deletions(-)
>>
>>
>> base-commit: b06a460bf5236a9d52f936f2023451051b3e622a

-- 
Best regards,
Andrew Tropin